# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 基础事项

### 查询基础事项列表

**请求URL:** sheet/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询基础事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;tid|String|从政务系统来的事项id
&emsp;&emsp;tcode|String|从政务系统来的事项code
&emsp;&emsp;tname|String|从政务系统来的事项name
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;englishName|String|英语事项名
&emsp;&emsp;matterNo|String|事项编号
&emsp;&emsp;appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）
&emsp;&emsp;operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）
&emsp;&emsp;appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）
&emsp;&emsp;handleType|String|办理形式（1.窗口办理，2.网上办理）
&emsp;&emsp;legalTimeLimitShow|String|法定办结时限
&emsp;&emsp;legalEndExplain|String|法定时限办结说明
&emsp;&emsp;promiseTimeLimitShow|String|承诺办结时限
&emsp;&emsp;promiseEndExplain|String|承诺时限办结说明
&emsp;&emsp;isChargesShow|String|是否收费（0.否，1.是）
&emsp;&emsp;certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）
&emsp;&emsp;planTakeTime|Date|计划生效日期
&emsp;&emsp;promiseTakeTime|Date|承诺生效日期
&emsp;&emsp;specialProcedure|String|特别程序
&emsp;&emsp;windowToTheSceneNum|Integer|窗口到现场次数
&emsp;&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）
&emsp;&emsp;isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）
&emsp;&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）
&emsp;&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）
&emsp;&emsp;mustSceneExplain|String|必须到现场原因
&emsp;&emsp;onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）
&emsp;&emsp;onlineToTheSceneNum|Integer|网办到现场次数
&emsp;&emsp;onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）
&emsp;&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）
&emsp;&emsp;isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）
&emsp;&emsp;onlineMustSceneExplain|String|网上必须到现场原因
&emsp;&emsp;performDeptType|String|实施主体
&emsp;&emsp;matterEdition|String|事项版本
&emsp;&emsp;eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）
&emsp;&emsp;performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）
&emsp;&emsp;powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）
&emsp;&emsp;performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）
&emsp;&emsp;goveServiceCenterShow|String|是否进驻中心（0.否，1.是）
&emsp;&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）
&emsp;&emsp;terminalHandle|Integer|自助终端办理 （0.否，1.是）
&emsp;&emsp;isOnline|Integer|是否网办 （0.否，1.是）
&emsp;&emsp;isOnlinePayShow|String|支持网上支付（0.否，1.是）
&emsp;&emsp;entrustmentDepartmen|String|委托部门（0.否，1.是）
&emsp;&emsp;jointInfoShow|String|联办机构
&emsp;&emsp;matterStatus|String|事项状态（0.停用，1.在用）
&emsp;&emsp;numberLimit|Long|数量限制
&emsp;&emsp;type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）
&emsp;&emsp;baseCode|String|基本编码
&emsp;&emsp;implementCode|String|实施编码
&emsp;&emsp;implementBodyCode|String|实施主体编码
&emsp;&emsp;operateItemCode|String|办理项编码
&emsp;&emsp;townshipName|String|乡镇街道名称
&emsp;&emsp;townshipCode|String|乡镇街道代码
&emsp;&emsp;villageName|String|村居社区名称
&emsp;&emsp;villageCode|String|村居社区代码
&emsp;&emsp;operateTime|String|办理时间
&emsp;&emsp;operateSite|String|办理地点
&emsp;&emsp;cousultingShow|String|咨询方式
&emsp;&emsp;cousultingTelephoneShow|String|咨询电话
&emsp;&emsp;superviseShow|String|监督方式
&emsp;&emsp;mattertype|Integer|是否样表展示（0.否，1.是）
&emsp;&emsp;deptCode|String|部门编号
&emsp;&emsp;dirListCode|String|目录清单编码
&emsp;&emsp;runSystemShow|String|运行系统名称
&emsp;&emsp;jointReviewInfoShow|String|联审信息
&emsp;&emsp;doThingTypeShow|String|办理类型
&emsp;&emsp;pubTimeShow|String|公示时限
&emsp;&emsp;supervisoryTelephoneShow|String|投诉电话
&emsp;&emsp;handleTimeShow|String|办公时间
&emsp;&emsp;handlePlaceShow|String|办公地址
&emsp;&emsp;daysTypeShow|String|节日类型
&emsp;&emsp;tradeShow|String|行业
&emsp;&emsp;eventSourceShow|String|事项来源
&emsp;&emsp;applyresultTypeShow|String|审批结果类型
&emsp;&emsp;typeOfReview|String|审查类型
&emsp;&emsp;enforcement|String|实施机构
&emsp;&emsp;serviceClassification|String|服务主题分类
&emsp;&emsp;licenseNumber|String|许可数量
&emsp;&emsp;number|Integer|办事者到办理现场次数
&emsp;&emsp;inquire|String|办理查询
&emsp;&emsp;handlingresultNames|String|办理结果名称
&emsp;&emsp;sampleApprovalResults|String|审批结果样本
&emsp;&emsp;performDeptName|String|实施主题
&emsp;&emsp;html|String|html存储地址
&emsp;&emsp;eventType|String|全债清单类型
&emsp;&emsp;shardKey|Long|
&emsp;&emsp;parson|Integer|个人1
&emsp;&emsp;lengal|Integer|法人 1
&emsp;&emsp;materialRemark|String|总材料说明
&emsp;&emsp;codeurl|String|事项二维码
&emsp;&emsp;applyObject|String|行使方式
&emsp;&emsp;isUniteAccept|String|统一受理模式
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;appoveObjectShow|object|字典属性对象，详见附录
&emsp;operatScopeShow|object|字典属性对象，详见附录
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录
&emsp;handleType|object|字典属性对象，详见附录
&emsp;isChargesShow|object|字典属性对象，详见附录
&emsp;certificationLevelsShow|object|字典属性对象，详见附录
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录
&emsp;isExpressTakeShow|object|字典属性对象，详见附录
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录
&emsp;onlineType|object|字典属性对象，详见附录
&emsp;onlineOperatDeep|object|字典属性对象，详见附录
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录
&emsp;isDoorTakeShow|object|字典属性对象，详见附录
&emsp;eventTypeShow|object|字典属性对象，详见附录
&emsp;performHierarchyShow|object|字典属性对象，详见附录
&emsp;powerSourceShow|object|字典属性对象，详见附录
&emsp;performDeptTypeShow|object|字典属性对象，详见附录
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录
&emsp;terminalHandle|object|字典属性对象，详见附录
&emsp;isOnline|object|字典属性对象，详见附录
&emsp;isOnlinePayShow|object|字典属性对象，详见附录
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录
&emsp;matterStatus|object|字典属性对象，详见附录
&emsp;type|object|字典属性对象，详见附录
&emsp;mattertype|object|字典属性对象，详见附录
&emsp;isRecommend|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看基础事项

**请求URL:** sheet/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础事项，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sheet/matter/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点ID
&emsp;tid|String|从政务系统来的事项id
&emsp;tcode|String|从政务系统来的事项code
&emsp;tname|String|从政务系统来的事项name
&emsp;matterName|String|事项名称
&emsp;englishName|String|英语事项名
&emsp;matterNo|String|事项编号
&emsp;appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）
&emsp;operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）
&emsp;appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）
&emsp;handleType|String|办理形式（1.窗口办理，2.网上办理）
&emsp;legalTimeLimitShow|String|法定办结时限
&emsp;legalEndExplain|String|法定时限办结说明
&emsp;promiseTimeLimitShow|String|承诺办结时限
&emsp;promiseEndExplain|String|承诺时限办结说明
&emsp;isChargesShow|String|是否收费（0.否，1.是）
&emsp;certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）
&emsp;planTakeTime|Date|计划生效日期
&emsp;promiseTakeTime|Date|承诺生效日期
&emsp;specialProcedure|String|特别程序
&emsp;windowToTheSceneNum|Integer|窗口到现场次数
&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）
&emsp;isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）
&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）
&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）
&emsp;mustSceneExplain|String|必须到现场原因
&emsp;onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）
&emsp;onlineToTheSceneNum|Integer|网办到现场次数
&emsp;onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）
&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）
&emsp;isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）
&emsp;onlineMustSceneExplain|String|网上必须到现场原因
&emsp;performDeptType|String|实施主体
&emsp;matterEdition|String|事项版本
&emsp;eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）
&emsp;performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）
&emsp;powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）
&emsp;performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）
&emsp;goveServiceCenterShow|String|是否进驻中心（0.否，1.是）
&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）
&emsp;terminalHandle|Integer|自助终端办理 （0.否，1.是）
&emsp;isOnline|Integer|是否网办 （0.否，1.是）
&emsp;isOnlinePayShow|String|支持网上支付（0.否，1.是）
&emsp;entrustmentDepartmen|String|委托部门（0.否，1.是）
&emsp;jointInfoShow|String|联办机构
&emsp;matterStatus|String|事项状态（0.停用，1.在用）
&emsp;numberLimit|Long|数量限制
&emsp;type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）
&emsp;baseCode|String|基本编码
&emsp;implementCode|String|实施编码
&emsp;implementBodyCode|String|实施主体编码
&emsp;operateItemCode|String|办理项编码
&emsp;townshipName|String|乡镇街道名称
&emsp;townshipCode|String|乡镇街道代码
&emsp;villageName|String|村居社区名称
&emsp;villageCode|String|村居社区代码
&emsp;operateTime|String|办理时间
&emsp;operateSite|String|办理地点
&emsp;cousultingShow|String|咨询方式
&emsp;cousultingTelephoneShow|String|咨询电话
&emsp;superviseShow|String|监督方式
&emsp;mattertype|Integer|是否样表展示（0.否，1.是）
&emsp;deptCode|String|部门编号
&emsp;dirListCode|String|目录清单编码
&emsp;runSystemShow|String|运行系统名称
&emsp;jointReviewInfoShow|String|联审信息
&emsp;doThingTypeShow|String|办理类型
&emsp;pubTimeShow|String|公示时限
&emsp;supervisoryTelephoneShow|String|投诉电话
&emsp;handleTimeShow|String|办公时间
&emsp;handlePlaceShow|String|办公地址
&emsp;daysTypeShow|String|节日类型
&emsp;tradeShow|String|行业
&emsp;eventSourceShow|String|事项来源
&emsp;applyresultTypeShow|String|审批结果类型
&emsp;typeOfReview|String|审查类型
&emsp;enforcement|String|实施机构
&emsp;serviceClassification|String|服务主题分类
&emsp;licenseNumber|String|许可数量
&emsp;number|Integer|办事者到办理现场次数
&emsp;inquire|String|办理查询
&emsp;handlingresultNames|String|办理结果名称
&emsp;sampleApprovalResults|String|审批结果样本
&emsp;performDeptName|String|实施主题
&emsp;html|String|html存储地址
&emsp;eventType|String|全债清单类型
&emsp;shardKey|Long|
&emsp;parson|Integer|个人1
&emsp;lengal|Integer|法人 1
&emsp;materialRemark|String|总材料说明
&emsp;codeurl|String|事项二维码
&emsp;applyObject|String|行使方式
&emsp;isUniteAccept|String|统一受理模式
&emsp;sort|Integer|排序
&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;appoveObjectShow|object|字典属性对象，详见附录
&emsp;operatScopeShow|object|字典属性对象，详见附录
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录
&emsp;handleType|object|字典属性对象，详见附录
&emsp;isChargesShow|object|字典属性对象，详见附录
&emsp;certificationLevelsShow|object|字典属性对象，详见附录
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录
&emsp;isExpressTakeShow|object|字典属性对象，详见附录
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录
&emsp;onlineType|object|字典属性对象，详见附录
&emsp;onlineOperatDeep|object|字典属性对象，详见附录
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录
&emsp;isDoorTakeShow|object|字典属性对象，详见附录
&emsp;eventTypeShow|object|字典属性对象，详见附录
&emsp;performHierarchyShow|object|字典属性对象，详见附录
&emsp;powerSourceShow|object|字典属性对象，详见附录
&emsp;performDeptTypeShow|object|字典属性对象，详见附录
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录
&emsp;terminalHandle|object|字典属性对象，详见附录
&emsp;isOnline|object|字典属性对象，详见附录
&emsp;isOnlinePayShow|object|字典属性对象，详见附录
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录
&emsp;matterStatus|object|字典属性对象，详见附录
&emsp;type|object|字典属性对象，详见附录
&emsp;mattertype|object|字典属性对象，详见附录
&emsp;isRecommend|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6417,
            "siteId":3082,
            "tid":"h1tqmk",
            "tcode":"ezttn4",
            "tname":"gcb2zr",
            "matterName":"v2u1jl",
            "englishName":"bvbly0",
            "matterNo":"ybcbxn",
            "appoveObjectShow":"7qog7s",
            "operatScopeShow":"4kgkms",
            "appoveTimeLimitShow":"6e59xq",
            "handleType":"cqxn7i",
            "legalTimeLimitShow":"ck0q39",
            "legalEndExplain":"naoa2p",
            "promiseTimeLimitShow":"qfdeap",
            "promiseEndExplain":"m17ob8",
            "isChargesShow":"o4kk2q",
            "certificationLevelsShow":"uljb4g",
            "planTakeTime":"2022-09-27",
            "promiseTakeTime":"2022-09-27",
            "specialProcedure":"tezyn0",
            "windowToTheSceneNum":2785,
            "isOnlineSubscribeShow":"ew4pjh",
            "isExpressTakeShow":"wfv6zp",
            "isProvinceAcquisitionShow":"b84um3",
            "isApplyProvinceShow":"0ovleq",
            "mustSceneExplain":"47oo67",
            "onlineType":"btrqmp",
            "onlineToTheSceneNum":4899,
            "onlineOperatDeep":"du53an",
            "isExpressTakeOnlineShow":"gxtmf7",
            "isDoorTakeShow":"fc3qwp",
            "onlineMustSceneExplain":"crmgwv",
            "performDeptType":"0ofbu8",
            "matterEdition":"xp0bbi",
            "eventTypeShow":"e3rpir",
            "performHierarchyShow":"qpf5wo",
            "powerSourceShow":"ilp2hj",
            "performDeptTypeShow":"t2gkgp",
            "goveServiceCenterShow":"6n0hfz",
            "isConvenientCenterShow":"55vlo1",
            "terminalHandle":4182,
            "isOnline":365,
            "isOnlinePayShow":"vgpyqa",
            "entrustmentDepartmen":"jgm8tn",
            "jointInfoShow":"ul8rit",
            "matterStatus":"tf5537",
            "numberLimit":3303,
            "type":"kyn6nd",
            "baseCode":"n28h6a",
            "implementCode":"o6f6du",
            "implementBodyCode":"27mgnb",
            "operateItemCode":"4u9mb2",
            "townshipName":"bdixck",
            "townshipCode":"p4s9mp",
            "villageName":"wlb2v4",
            "villageCode":"qzw4hu",
            "operateTime":"w2w029",
            "operateSite":"tuez9h",
            "cousultingShow":"aht211",
            "cousultingTelephoneShow":"0q8bpb",
            "superviseShow":"3uc3da",
            "mattertype":3570,
            "deptCode":"ne6hcr",
            "dirListCode":"3jw6in",
            "runSystemShow":"swyjkx",
            "jointReviewInfoShow":"bpb45c",
            "doThingTypeShow":"wqojgv",
            "pubTimeShow":"xgqaaf",
            "supervisoryTelephoneShow":"l7ylxr",
            "handleTimeShow":"4l8xql",
            "handlePlaceShow":"r1ybik",
            "daysTypeShow":"zu9ehw",
            "tradeShow":"gvi73n",
            "eventSourceShow":"yzvjq3",
            "applyresultTypeShow":"8a1uy7",
            "typeOfReview":"wkvhbi",
            "enforcement":"pne32p",
            "serviceClassification":"nasoo6",
            "licenseNumber":"mslbix",
            "number":5868,
            "inquire":"6vfzel",
            "handlingresultNames":"ytqzmd",
            "sampleApprovalResults":"nt78c0",
            "performDeptName":"nbaf2z",
            "html":"p80o3g",
            "eventType":"fksvok",
            "shardKey":1244,
            "parson":2862,
            "lengal":8680,
            "materialRemark":"3kss1h",
            "codeurl":"9kjg5r",
            "applyObject":"otmsfs",
            "isUniteAccept":"yhgfn4",
            "sort":1983,
            "isRecommend":8439,
            "createTime":"2022-09-27",
            "createUserId":5122,
            "updateTime":"2022-09-27"
        }
}
```

### 保存更新基础事项

**请求URL:** sheet/matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
createTime|Date|否|创建时间
createUserId|Long|否|创建用户
updateTime|Date|否|修改时间

**请求样例:**
```
{
    "siteId":7275,
    "tid":"l7v22z",
    "tcode":"aiy99h",
    "tname":"ptf5jy",
    "matterName":"b1d0bl",
    "englishName":"no2sx0",
    "matterNo":"vvvyol",
    "appoveObjectShow":"gmkycl",
    "operatScopeShow":"r9qm33",
    "appoveTimeLimitShow":"oz8x90",
    "handleType":"pa7ssb",
    "legalTimeLimitShow":"w0dzvp",
    "legalEndExplain":"o1y68a",
    "promiseTimeLimitShow":"h5xre8",
    "promiseEndExplain":"jsf2s1",
    "isChargesShow":"zv068y",
    "certificationLevelsShow":"n80shl",
    "planTakeTime":"2022-09-27",
    "promiseTakeTime":"2022-09-27",
    "specialProcedure":"8a6inz",
    "windowToTheSceneNum":6034,
    "isOnlineSubscribeShow":"ip0xoc",
    "isExpressTakeShow":"pu4xwx",
    "isProvinceAcquisitionShow":"8rn8el",
    "isApplyProvinceShow":"fyhjhe",
    "mustSceneExplain":"urrlnn",
    "onlineType":"mvr3h0",
    "onlineToTheSceneNum":5878,
    "onlineOperatDeep":"7kyugd",
    "isExpressTakeOnlineShow":"8kalb3",
    "isDoorTakeShow":"owp2za",
    "onlineMustSceneExplain":"hgqa28",
    "performDeptType":"ekbu96",
    "matterEdition":"llbk3w",
    "eventTypeShow":"1gxktd",
    "performHierarchyShow":"aw2y69",
    "powerSourceShow":"3tmqb0",
    "performDeptTypeShow":"winqov",
    "goveServiceCenterShow":"48rbev",
    "isConvenientCenterShow":"cap6ws",
    "terminalHandle":6987,
    "isOnline":6083,
    "isOnlinePayShow":"pmr6o8",
    "entrustmentDepartmen":"6bgd2e",
    "jointInfoShow":"o01r4s",
    "matterStatus":"chv2ic",
    "numberLimit":3113,
    "type":"ff6kcc",
    "baseCode":"b6bz2q",
    "implementCode":"c8xhom",
    "implementBodyCode":"riofs8",
    "operateItemCode":"2w1cs3",
    "townshipName":"5shnoe",
    "townshipCode":"mcs6mj",
    "villageName":"o7ovhv",
    "villageCode":"lyp7xw",
    "operateTime":"67ny17",
    "operateSite":"gg8vwu",
    "cousultingShow":"xxlmph",
    "cousultingTelephoneShow":"irdzxn",
    "superviseShow":"8342xl",
    "mattertype":2007,
    "deptCode":"0cf1df",
    "dirListCode":"u7l5ih",
    "runSystemShow":"gctuow",
    "jointReviewInfoShow":"jburil",
    "doThingTypeShow":"m66o8b",
    "pubTimeShow":"c17aen",
    "supervisoryTelephoneShow":"ognf4u",
    "handleTimeShow":"vyu1xm",
    "handlePlaceShow":"2pieqa",
    "daysTypeShow":"9flt8m",
    "tradeShow":"tl2m12",
    "eventSourceShow":"mkpyiu",
    "applyresultTypeShow":"nh14my",
    "typeOfReview":"m0irtz",
    "enforcement":"xi7h3q",
    "serviceClassification":"c4unx4",
    "licenseNumber":"g810w7",
    "number":7361,
    "inquire":"syjdk6",
    "handlingresultNames":"762qz9",
    "sampleApprovalResults":"hjhspp",
    "performDeptName":"7v9e35",
    "html":"1v8keu",
    "eventType":"rvaafh",
    "shardKey":8314,
    "parson":3626,
    "lengal":6031,
    "materialRemark":"v4l3sj",
    "codeurl":"gpnj2q",
    "applyObject":"ujqn4k",
    "isUniteAccept":"cr96ns",
    "sort":3888,
    "isRecommend":7802,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;tid|String|从政务系统来的事项id
&emsp;&emsp;tcode|String|从政务系统来的事项code
&emsp;&emsp;tname|String|从政务系统来的事项name
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;englishName|String|英语事项名
&emsp;&emsp;matterNo|String|事项编号
&emsp;&emsp;appoveObjectShow|String|服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）
&emsp;&emsp;operatScopeShow|String|通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）
&emsp;&emsp;appoveTimeLimitShow|String|办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）
&emsp;&emsp;handleType|String|办理形式（1.窗口办理，2.网上办理）
&emsp;&emsp;legalTimeLimitShow|String|法定办结时限
&emsp;&emsp;legalEndExplain|String|法定时限办结说明
&emsp;&emsp;promiseTimeLimitShow|String|承诺办结时限
&emsp;&emsp;promiseEndExplain|String|承诺时限办结说明
&emsp;&emsp;isChargesShow|String|是否收费（0.否，1.是）
&emsp;&emsp;certificationLevelsShow|String|认证等级需求（1.实名认证，2.单次面签，3.每次面签）
&emsp;&emsp;planTakeTime|Date|计划生效日期
&emsp;&emsp;promiseTakeTime|Date|承诺生效日期
&emsp;&emsp;specialProcedure|String|特别程序
&emsp;&emsp;windowToTheSceneNum|Integer|窗口到现场次数
&emsp;&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（0.否，1.是）
&emsp;&emsp;isExpressTakeShow|String|物流快递,窗口办理选（0.否，1.是）
&emsp;&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（0.否，1.是）
&emsp;&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（0.否，1.是）
&emsp;&emsp;mustSceneExplain|String|必须到现场原因
&emsp;&emsp;onlineType|String|网办类型（1.原件预审，2.原件核验，3.全程网办）
&emsp;&emsp;onlineToTheSceneNum|Integer|网办到现场次数
&emsp;&emsp;onlineOperatDeep|String|网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）
&emsp;&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（0.否，1.是）
&emsp;&emsp;isDoorTakeShow|String|是否支持上门收取申请（0.否，1.是）
&emsp;&emsp;onlineMustSceneExplain|String|网上必须到现场原因
&emsp;&emsp;performDeptType|String|实施主体
&emsp;&emsp;matterEdition|String|事项版本
&emsp;&emsp;eventTypeShow|String|事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）
&emsp;&emsp;performHierarchyShow|String|行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）
&emsp;&emsp;powerSourceShow|String|权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）
&emsp;&emsp;performDeptTypeShow|String|实施主体性质（1.法定机关，2.授权组织，3.受委托组织）
&emsp;&emsp;goveServiceCenterShow|String|是否进驻中心（0.否，1.是）
&emsp;&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（0.否，1.是）
&emsp;&emsp;terminalHandle|Integer|自助终端办理 （0.否，1.是）
&emsp;&emsp;isOnline|Integer|是否网办 （0.否，1.是）
&emsp;&emsp;isOnlinePayShow|String|支持网上支付（0.否，1.是）
&emsp;&emsp;entrustmentDepartmen|String|委托部门（0.否，1.是）
&emsp;&emsp;jointInfoShow|String|联办机构
&emsp;&emsp;matterStatus|String|事项状态（0.停用，1.在用）
&emsp;&emsp;numberLimit|Long|数量限制
&emsp;&emsp;type|String|主题类型（1.法定机关，2.授权组织，3.受委托组织）
&emsp;&emsp;baseCode|String|基本编码
&emsp;&emsp;implementCode|String|实施编码
&emsp;&emsp;implementBodyCode|String|实施主体编码
&emsp;&emsp;operateItemCode|String|办理项编码
&emsp;&emsp;townshipName|String|乡镇街道名称
&emsp;&emsp;townshipCode|String|乡镇街道代码
&emsp;&emsp;villageName|String|村居社区名称
&emsp;&emsp;villageCode|String|村居社区代码
&emsp;&emsp;operateTime|String|办理时间
&emsp;&emsp;operateSite|String|办理地点
&emsp;&emsp;cousultingShow|String|咨询方式
&emsp;&emsp;cousultingTelephoneShow|String|咨询电话
&emsp;&emsp;superviseShow|String|监督方式
&emsp;&emsp;mattertype|Integer|是否样表展示（0.否，1.是）
&emsp;&emsp;deptCode|String|部门编号
&emsp;&emsp;dirListCode|String|目录清单编码
&emsp;&emsp;runSystemShow|String|运行系统名称
&emsp;&emsp;jointReviewInfoShow|String|联审信息
&emsp;&emsp;doThingTypeShow|String|办理类型
&emsp;&emsp;pubTimeShow|String|公示时限
&emsp;&emsp;supervisoryTelephoneShow|String|投诉电话
&emsp;&emsp;handleTimeShow|String|办公时间
&emsp;&emsp;handlePlaceShow|String|办公地址
&emsp;&emsp;daysTypeShow|String|节日类型
&emsp;&emsp;tradeShow|String|行业
&emsp;&emsp;eventSourceShow|String|事项来源
&emsp;&emsp;applyresultTypeShow|String|审批结果类型
&emsp;&emsp;typeOfReview|String|审查类型
&emsp;&emsp;enforcement|String|实施机构
&emsp;&emsp;serviceClassification|String|服务主题分类
&emsp;&emsp;licenseNumber|String|许可数量
&emsp;&emsp;number|Integer|办事者到办理现场次数
&emsp;&emsp;inquire|String|办理查询
&emsp;&emsp;handlingresultNames|String|办理结果名称
&emsp;&emsp;sampleApprovalResults|String|审批结果样本
&emsp;&emsp;performDeptName|String|实施主题
&emsp;&emsp;html|String|html存储地址
&emsp;&emsp;eventType|String|全债清单类型
&emsp;&emsp;shardKey|Long|
&emsp;&emsp;parson|Integer|个人1
&emsp;&emsp;lengal|Integer|法人 1
&emsp;&emsp;materialRemark|String|总材料说明
&emsp;&emsp;codeurl|String|事项二维码
&emsp;&emsp;applyObject|String|行使方式
&emsp;&emsp;isUniteAccept|String|统一受理模式
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除基础事项

**请求URL:** sheet/matter/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除基础事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sheet/matter/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 事项

### 查询事项列表

**请求URL:** matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项申请材料

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;tid|String|从政务系统来的事项id
&emsp;&emsp;tcode|String|从政务系统来的事项code
&emsp;&emsp;tname|String|从政务系统来的事项name
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;englishName|String|英语事项名
&emsp;&emsp;matterNo|String|事项编号
&emsp;&emsp;matterFullName|String|事项全称
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;total|Integer|填单次数
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;&emsp;source|Integer|事项来源(0.手动添加，1.站点事项)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;datumCount|Integer|事项材料个数
dict|object|字典对象
&emsp;isRecommend|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看事项

**请求URL:** matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项申请材料，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/matter/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;siteId|Long|站点ID
&emsp;tid|String|从政务系统来的事项id
&emsp;tcode|String|从政务系统来的事项code
&emsp;tname|String|从政务系统来的事项name
&emsp;matterName|String|事项名称
&emsp;englishName|String|英语事项名
&emsp;matterNo|String|事项编号
&emsp;matterFullName|String|事项全称
&emsp;deptId|Long|部门ID
&emsp;deptName|String|部门名称
&emsp;total|Integer|填单次数
&emsp;sort|Integer|排序
&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;&emsp;source|Integer|事项来源(0.手动添加，1.站点事项)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;isRecommend|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3973,
            "siteId":8828,
            "tid":"zg9gmi",
            "tcode":"hq6ewt",
            "tname":"0pakvi",
            "matterName":"k8c0i7",
            "englishName":"lj8tis",
            "matterNo":"mws7bh",
            "matterFullName":"po9xik",
            "deptId":468,
            "deptName":"po9xik",
            "total":1593,
            "sort":4204,
            "isRecommend":1599,
            "source":1599,
            "createTime":"2022-09-27",
            "createUserId":9718,
            "updateTime":"2022-09-27"
        }
}
```

### 保存更新事项

**请求URL:** matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项申请材料：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|主键，自增长
createTime|Date|否|创建时间
createUserId|Long|否|创建用户
updateTime|Date|否|修改时间

**请求样例:**
```
{
    "siteId":2083,
    "tid":"mdlqmh",
    "tcode":"68vtfy",
    "tname":"f9gi2k",
    "matterName":"gvxx2z",
    "englishName":"s5mwmj",
    "matterNo":"6xj19v",
    "matterFullName":"b69j7y",
    "deptId":6209,
    "deptName":"po9xik",
    "total":7382,
    "sort":2926,
    "isRecommend":0,
    "source":0
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;tid|String|从政务系统来的事项id
&emsp;&emsp;tcode|String|从政务系统来的事项code
&emsp;&emsp;tname|String|从政务系统来的事项name
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;englishName|String|英语事项名
&emsp;&emsp;matterNo|String|事项编号
&emsp;&emsp;matterFullName|String|事项全称
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;total|Integer|填单次数
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;&emsp;source|Integer|事项来源(0.手动添加，1.站点事项)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除事项

**请求URL:** matter/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项申请材料

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 基础事项转为事项

**请求URL:** matter/createMatter

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 基础事项转为事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
ids|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/createMatter?ids=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 推荐或取消推荐事项

**请求URL:** matter/recommend

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 推荐或取消推荐事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/recommend?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 事项申请材料

### 查询事项申请材料列表

**请求URL:** matter/datum/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项申请材料

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;matterId|Long|事项matter id
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;materiaFullName|String|材料全名
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;&emsp;total|Integer|填单次数
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;fileName|String|填单的附件名称
&emsp;&emsp;fileUrl|String|填单的附件下载地址
&emsp;&emsp;sampleName|String|样表名称
&emsp;&emsp;samplePath|String|样表地址
&emsp;&emsp;templateName|String|模板名称
&emsp;&emsp;templatePath|String|模板地址
&emsp;&emsp;preViewPath|String|样表预览地址
&emsp;&emsp;formContent|String|表单内容
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterNo|String|事项编号
&emsp;&emsp;deptName|String|部门名称
dict|object|字典对象
&emsp;source|object|字典属性对象，详见附录
&emsp;isRecommend|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看事项申请材料

**请求URL:** matter/datum/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项申请材料，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/matter/datum/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;matterId|Long|事项matter id
&emsp;&emsp;deptId|Long|部门ID
&emsp;materialName|String|材料名
&emsp;materiaFullName|String|材料全名
&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;total|Integer|填单次数
&emsp;sort|Integer|排序
&emsp;fileName|String|填单的附件名称
&emsp;fileUrl|String|填单的附件下载地址
&emsp;sampleName|String|样表名称
&emsp;samplePath|String|样表地址
&emsp;templateName|String|模板名称
&emsp;templatePath|String|模板地址
&emsp;preViewPath|String|样表预览地址
&emsp;formContent|String|表单内容
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;source|object|字典属性对象，详见附录
&emsp;isRecommend|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3941,
            "matterId":8603,
            "deptId":2379,
            "materialName":"mwwyan",
            "materiaFullName":"g51dog",
            "source":43,
            "isRecommend":8311,
            "total":6635,
            "sort":8080,
            "fileName":"rcdovy",
            "fileUrl":"r6miw5",
            "sampleName":"i9p5ee",
            "samplePath":"9j0f51",
            "templateName":"91wrpa",
            "templatePath":"rigql8",
            "preViewPath":"4tcavq",
            "formContent":"xxfdms",
            "createTime":"2022-10-12",
            "createUserId":5259,
            "updateTime":"2022-10-12"
        }
}
```

### 保存更新事项申请材料

**请求URL:** matter/datum/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项申请材料：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|主键，自增长
matterId|Long|是|事项matter id
deptId|Long|是|部门ID
materialName|String|是|材料名
materiaFullName|String|是|材料全名
createTime|Date|否|创建时间
createUserId|Long|否|创建用户
updateTime|Date|否|修改时间

**请求样例:**
```
{
    "matterId":6301,
    "deptId":7603,
    "materialName":"b1nh2d",
    "materiaFullName":"y633kd",
    "source":4404,
    "isRecommend":9558,
    "total":2065,
    "sort":3507,
    "fileName":"aboi59",
    "fileUrl":"c7rkqn",
    "sampleName":"99l5iw",
    "samplePath":"9shk8q",
    "templateName":"tqp8df",
    "templatePath":"4mon4q",
    "preViewPath":"ctr8ww",
    "formContent":"sqjssh",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;matterId|Long|事项matter id
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;materiaFullName|String|材料全名
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;&emsp;isRecommend|Integer|是否推荐(0.未推荐，1.推荐)
&emsp;&emsp;total|Integer|填单次数
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;fileName|String|填单的附件名称
&emsp;&emsp;fileUrl|String|填单的附件下载地址
&emsp;&emsp;sampleName|String|样表名称
&emsp;&emsp;samplePath|String|样表地址
&emsp;&emsp;templateName|String|模板名称
&emsp;&emsp;templatePath|String|模板地址
&emsp;&emsp;preViewPath|String|样表预览地址
&emsp;&emsp;formContent|String|表单内容
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除事项申请材料

**请求URL:** matter/datum/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项申请材料

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/datum/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 推荐或取消推荐事项申请材料

**请求URL:** matter/datum/recommend

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 推荐或取消推荐事项申请材料

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/datum/recommend?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 首页接口

### 查询用户站点列表

**请求URL:** home/site/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项申请材料

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;siteRemark|String|中心介绍|-
&emsp;&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;&emsp;logoPath|String|设备logo地址
&emsp;&emsp;logoFullPath|String|设备logo全地址
&emsp;&emsp;englishName|String|站点英文名称
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```
### 查询部门列表

**请求URL:** home/dept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-

**请求样例:**
```

  {
        "siteId":1,
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;tid|String|从政务系统来的部门id|-
&emsp;&emsp;tname|String|从政务系统来的部门name|-
&emsp;&emsp;name|String|部门名称|-
&emsp;&emsp;simpleName|String|从政务系统来的别名|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;deptAbb|String|部门简称|-
&emsp;&emsp;deptTelphone|String|部门电话|-
&emsp;&emsp;deptNumber|String|部门编号|-
&emsp;&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isAutotable|object|字典属性对象，详见附录|-
&emsp;isOrder|object|字典属性对象，详见附录|-
&emsp;isBkb|object|字典属性对象，详见附录|-
&emsp;isWorkGuide|object|字典属性对象，详见附录|-
&emsp;usValid|object|字典属性对象，详见附录|-
&emsp;isSecphone|object|字典属性对象，详见附录|-
&emsp;isEnglish|object|字典属性对象，详见附录|-


**响应消息样例:**
```
{
    "code":1,
    "data":{
        "data":[]
    }
}
```
### 查询设备列表

**请求URL:** home/device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-

**请求样例:**
```

  {
        "siteId":1,
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码,SN码等，默认为MAC地址
&emsp;&emsp;deviceMac|String|设备的MAC地址
&emsp;&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;&emsp;siteCode|String|站点编号，来源基础服务平台
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;platformId|Long|平台系统Id
&emsp;&emsp;platformName|String|平台系统名称
&emsp;&emsp;productId|Long|产品Id
&emsp;&emsp;productName|String|产品名称
&emsp;&emsp;skinId|Long|皮肤id
&emsp;&emsp;skinName|String|皮肤名称
&emsp;&emsp;homeUrl|String|首页地址
&emsp;&emsp;deviceFirmId|Long|设备生产厂商ID
&emsp;&emsp;deviceFirmname|String|设备生产厂商名称
&emsp;&emsp;deviceSrc|Integer|设备来源(0.子设备，1.网关设备，2.直连设备)
&emsp;&emsp;deviceDataSourceWay|Integer|数据获取方式(0.主动上报，1.被动拉取)
&emsp;&emsp;lon|String|经度
&emsp;&emsp;lati|String|经度
&emsp;&emsp;deviceInBuilding|Integer|所属楼栋
&emsp;&emsp;deviceInFloor|Integer|所属楼层
&emsp;&emsp;defectsLiabilityPeriod|Date|保修期至
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;isReceiveMess|Integer|是否接收异常短(0.否，1.是)
&emsp;&emsp;devicePhotoPath|String|设备图片
&emsp;&emsp;ip|String|设备访问ip
&emsp;&emsp;centernum|String|中心设备编码
&emsp;&emsp;port|String|端口
&emsp;&emsp;deviceTopic|String|设备topic信息
&emsp;&emsp;deviceStatus|Integer|设备状态 (0.未激活，1.离线,2.在线)
&emsp;&emsp;enabled|Integer|启用状态 (0.停止，1.启用)
&emsp;&emsp;deviceAuthCode|String|设备授权码
&emsp;&emsp;deviceRemark|String|备注
&emsp;&emsp;onlineTime|Date|最近上线时间
&emsp;&emsp;offlineTime|Date|最近离线时间
&emsp;&emsp;deleted|Integer|是否删除(0.否，1.是)
&emsp;&emsp;source|Integer|设备来源(0.旧设备，1.新设备)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;deviceSN|String|设备SN码

**响应消息样例:**
```
{
    "code":1,
    "data":{
        "data":[]
    }
}
```

### 合成表单与模板

**请求URL:** home/mergeFormToDocx

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 合成表单与模板

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|事项申请材料id|是|-
formContent|String|表单内容|是|-

**请求样例:**
```

  {
        "id":1,
        "formContent":"asdaksjda"
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
        "data":[]
    }
}
```

### 首页数据展示

**请求URL:** home/info

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看数据展示

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;&emsp;hotWords|String|热门搜索词汇|-
&emsp;&emsp;datumList|Array|热门表单|-
&emsp;&emsp;matterList|Array|热门事项|-
&emsp;&emsp;datumCont|Integer|入驻表单数量|-
&emsp;&emsp;matterCont|Integer|入驻事项数量|-
&emsp;&emsp;localPrint|Integer|本地打印数量|-
&emsp;&emsp;onlineSubmit|Integer|在线提交数量|-
&emsp;&emsp;dayThrift|Integer|今日节约能量|-
&emsp;&emsp;totalThrift|Integer|累计节约能量|-

**响应消息样例:**
```
{
    "data": {
        "dayThrift": 66,
        "hotWords": "高考成绩查询",
        "localPrint": 20,
        "datumList": [],
        "datumCont": 2,
        "totalThrift": 996,
        "onlineSubmit": 20,
        "matterList": [],
        "matterCont": 19
    },
    "code": 1,
    "msg": "获取首页数据成功",
    "dict": null
}
```

## 基础设置

### 查看基础设置

**请求URL:** setting/info

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础设置

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;&emsp;hotWords|String|热门搜索词汇|-
&emsp;&emsp;printDisplay|Integer|空白打印材料展示数量|-

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```
### 保存基础设置

**请求URL:** setting/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存基础设置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
hotWords|String|是|热门搜索词汇
printDisplay|Integer|是|空白打印材料展示数量

**请求样例:**
```
{
    "hotWords": "测试,hahaha",
    "printDisplay": 10
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**
```
{
    "msg":"保存成功",
    "code":1,
    "data":{}
    }
}

```
## 皮肤

### 查询皮肤列表

**请求URL:** skin/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询皮肤

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
userd|Integer|否|是否使用

**请求样例:**
```
  {
        "page":1,
        "size":10,
        "used":1
  }

```
**响应参数:**

| 参数名称                         | 参数类型    | 描述                                        |
|:-----------------------------|:--------|:------------------------------------------|
| code                         | Integer | 结果码（-1.失败，1.成功）                           |
| msg                          | String  | 消息                                        |
| data                         | object  | 数据对象                                      |
| &emsp;per_page               | Integer | 每页条数                                      |
| &emsp;total                  | Integer | 总条数                                       |
| &emsp;last_page              | Integer | 总页数                                       |
| &emsp;current_page           | Integer | 当前页                                       |
| &emsp;data                   | array   | 结果集列表                                     |数组
| &emsp;&emsp;id               | Long    | 序号，主键，自增长                                 |
| &emsp;&emsp;categoryId       | Long    | 所属种类,来源种类                                 |
| &emsp;&emsp;productId        | Long    | 产品id                                      |
| &emsp;&emsp;productName      | String  | 产品名称                                      |
| &emsp;&emsp;cssFilePath      | String  | css模板合成后文件地址                              |
| &emsp;&emsp;name             | String  | 产品皮肤名称，唯一且不为空                             |
| &emsp;&emsp;imageResolution  | String  | 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280) |
| &emsp;&emsp;previewImagePath | String  | 预览图片                                      |
| &emsp;&emsp;sortNum          | Integer | 排序编号                                      |
| &emsp;&emsp;used             | Integer | 是否使用                                      |
| &emsp;&emsp;createTime       | Date    | 创建时间                                      |
| &emsp;&emsp;createUserId     | Long    | 创建用户                                      |
| &emsp;&emsp;updateTime       | Date    | 修改时间                                      |
| dict                         | object  | 字典对象                                      |
| &emsp;imageResolution        | object  | 字典属性对象，详见附录                               |

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看皮肤

**请求URL:** skin/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看皮肤，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/skin/info?id=549
```
**响应参数:**

| 参数名称                   | 参数类型    | 描述                                        |
|:-----------------------|:--------|:------------------------------------------|
| code                   | Integer | 结果码（-1.失败，1.成功）                           |
| msg                    | String  | 消息                                        |
| data                   | object  | 数据对象                                      |
| &emsp;id               | Long    | 序号，主键，自增长                                 |
| &emsp;categoryId       | Long    | 所属种类,来源种类                                 |
| &emsp;productId        | Long    | 产品id                                      |
| &emsp;productName      | String  | 产品名称                                      |
| &emsp;cssFilePath      | String  | css模板合成后文件地址                              |
| &emsp;name             | String  | 产品皮肤名称，唯一且不为空                             |
| &emsp;imageResolution  | String  | 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280) |
| &emsp;previewImagePath | String  | 预览图片                                      |
| &emsp;sortNum          | Integer | 排序编号                                      |
| &emsp;used             | Integer | 是否使用                                      |
| &emsp;createTime       | Date    | 创建时间                                      |
| &emsp;createUserId     | Long    | 创建用户                                      |
| &emsp;updateTime       | Date    | 修改时间                                      |
| dict                   | object  | 字典对象                                      |
| &emsp;imageResolution  | object  | 字典属性对象，详见附录                               |

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8838,
            "categoryId":483,
            "productId":3204,
            "productName":"cknp6t",
            "cssFilePath":"ajehtm",
            "name":"z8305x",
            "imageResolution":"ud4cyj",
            "previewImagePath":"d9yes7",
            "sortNum":2831,
            "used":4791,
            "createTime":"2023-04-03",
            "createUserId":4247,
            "updateTime":"2023-04-03"
        }
}
```

### 使用皮肤

**请求URL:** skin/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 使用皮肤

**请求参数:**

| 参数名称   | 类型      | 必填  | 描述            |
|:-------|:--------|:----|:--------------|
| id     | Long    | 是   | 皮肤id          |
| siteId | Long    | 是   | 站点id          |
| used   | Integer | 是   | 是否使用（0.否,1.是） |

**请求样例:**
```
{
    "id":1,
    "siteId":1,
    "used":1,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**
```
{
    "msg":"模块成功",
    "code":1,
    "data":{}
    }
}

```
