package com.mortals.xhx.common.formdesign.component;

import cn.hutool.core.util.IdUtil;
import com.mortals.xhx.common.code.ComponentEnum;
import com.mortals.xhx.common.formdesign.DesignComponent;
import com.mortals.xhx.common.formdesign.ListItem;
import com.mortals.xhx.common.formdesign.Mark;
import com.mortals.xhx.common.pdu.gen.Component;
import com.mortals.xhx.common.pdu.gen.Config;
import com.mortals.xhx.common.pdu.gen.FieldsItem;
import com.mortals.xhx.common.pdu.gen.Slot;
import com.mortals.xhx.common.pdu.gen.component.ComponentCons;

import java.util.ArrayList;

/**
 * 图片组件
 *
 * @author: zxfei
 * @date: 2021/10/26 10:35
 * @description:
 **/
public class DesignImageComponent extends DesignComponent {

    public DesignImageComponent(String type) {
        super(type);
    }

    @Override
    public ListItem buildDefaultComponent(ComponentCons cons) {
        ListItem columnsItem = new ListItem();
        columnsItem.setId(cons.getVal());
        columnsItem.set_id(cons.getVal());
        columnsItem.setCompType("upload");
        columnsItem.setCompName("附件");
        columnsItem.setCompIcon("att");
        columnsItem.setEle("el-upload");
        columnsItem.setViewType("component");
        columnsItem.setConfig(true);
        columnsItem.setShowLabel(true);
        columnsItem.setLabel(cons.getLabel());
        columnsItem.setLabelWidth(120);
        columnsItem.setMultiple(false);
        columnsItem.setRequired(false);
        columnsItem.setAction(cons.getUploadFileUrl());
        columnsItem.setName("file");
        columnsItem.setShowFileList(true);
        columnsItem.setListType("picture-card");
        columnsItem.setShowTip(false);
        columnsItem.setTips("点击按钮上传附件");
        columnsItem.setAccept("jpg,png,jpeg,bmp");
        columnsItem.setFileSize(10);
        columnsItem.setMark(new Mark());
        columnsItem.setLayout("colItem");
        return columnsItem;
    }

    @Override
    public String getType() {
        return ComponentEnum.IMAGE.getValue();
    }
}
