package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterDatumPrintVo;
/**
 * 打印提交实体对象
 *
 * @author zxfei
 * @date 2023-02-27
 */

public class MatterDatumPrintEntity extends MatterDatumPrintVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 打印订单
     */
    private String orderId;
    /**
     * 身份证号
     */
    @Excel(name = "身份证号")
    private String idCard;
    /**
     * 身份证名称
     */
    @Excel(name = "身份证名称")
    private String idName;
    /**
     * 手机号码
     */
    @Excel(name = "手机号码")
    private String mobile;
    /**
     * 事项id
     */
    private Long matterId;
    /**
     * 事项名称
     */
    @Excel(name = "事项名称")
    private String matterName;
    /**
     * 事项编码
     */
    @Excel(name = "事项编码")
    private String matterCode;
    /**
     * 材料Id
     */
    private Long materialId;
    /**
     * 材料名
     */
    @Excel(name = "材料名")
    private String materialName;
    /**
     * 设备编码
     */
    private String deviceCode;
    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;
    /**
     * 材料页数
     */
    private Integer printPage;
    /**
     * 打印类型(1.本地打印,2.在线打印)
     */
    @Excel(name = "打印类型", readConverterExp = "1=本地打印,2.在线打印")
    private Integer type;
    /**
     * 合成doc后地址
     */
    private String docPath;
    /**
     * 提交的表单
     */
    private String formContent;



    public MatterDatumPrintEntity(){}
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 打印订单
     * @return String
     */
    public String getOrderId(){
        return orderId;
    }
    /**
     * 设置 打印订单
     * @param orderId
     */
    public void setOrderId(String orderId){
        this.orderId = orderId;
    }
    /**
     * 获取 身份证号
     * @return String
     */
    public String getIdCard(){
        return idCard;
    }
    /**
     * 设置 身份证号
     * @param idCard
     */
    public void setIdCard(String idCard){
        this.idCard = idCard;
    }
    /**
     * 获取 身份证名称
     * @return String
     */
    public String getIdName(){
        return idName;
    }
    /**
     * 设置 身份证名称
     * @param idName
     */
    public void setIdName(String idName){
        this.idName = idName;
    }
    /**
     * 获取 手机号码
     * @return String
     */
    public String getMobile(){
        return mobile;
    }
    /**
     * 设置 手机号码
     * @param mobile
     */
    public void setMobile(String mobile){
        this.mobile = mobile;
    }
    /**
     * 获取 事项id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 材料Id
     * @return Long
     */
    public Long getMaterialId(){
        return materialId;
    }
    /**
     * 设置 材料Id
     * @param materialId
     */
    public void setMaterialId(Long materialId){
        this.materialId = materialId;
    }
    /**
     * 获取 材料名
     * @return String
     */
    public String getMaterialName(){
        return materialName;
    }
    /**
     * 设置 材料名
     * @param materialName
     */
    public void setMaterialName(String materialName){
        this.materialName = materialName;
    }
    /**
     * 获取 设备编码
     * @return String
     */
    public String getDeviceCode(){
        return deviceCode;
    }
    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public void setDeviceCode(String deviceCode){
        this.deviceCode = deviceCode;
    }
    /**
     * 获取 设备名称
     * @return String
     */
    public String getDeviceName(){
        return deviceName;
    }
    /**
     * 设置 设备名称
     * @param deviceName
     */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
     * 获取 材料页数
     * @return Integer
     */
    public Integer getPrintPage(){
        return printPage;
    }
    /**
     * 设置 材料页数
     * @param printPage
     */
    public void setPrintPage(Integer printPage){
        this.printPage = printPage;
    }
    /**
     * 获取 打印类型(1.本地打印,2.在线打印)
     * @return Integer
     */
    public Integer getType(){
        return type;
    }
    /**
     * 设置 打印类型(1.本地打印,2.在线打印)
     * @param type
     */
    public void setType(Integer type){
        this.type = type;
    }
    /**
     * 获取 合成doc后地址
     * @return String
     */
    public String getDocPath(){
        return docPath;
    }
    /**
     * 设置 合成doc后地址
     * @param docPath
     */
    public void setDocPath(String docPath){
        this.docPath = docPath;
    }
    /**
     * 获取 提交的表单
     * @return String
     */
    public String getFormContent(){
        return formContent;
    }
    /**
     * 设置 提交的表单
     * @param formContent
     */
    public void setFormContent(String formContent){
        this.formContent = formContent;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterDatumPrintEntity) {
            MatterDatumPrintEntity tmp = (MatterDatumPrintEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",orderId:").append(getOrderId());
        sb.append(",idCard:").append(getIdCard());
        sb.append(",idName:").append(getIdName());
        sb.append(",mobile:").append(getMobile());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",materialId:").append(getMaterialId());
        sb.append(",materialName:").append(getMaterialName());
        sb.append(",deviceCode:").append(getDeviceCode());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",printPage:").append(getPrintPage());
        sb.append(",type:").append(getType());
        sb.append(",docPath:").append(getDocPath());
        sb.append(",formContent:").append(getFormContent());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.orderId = null;

        this.idCard = "";

        this.idName = "";

        this.mobile = "";

        this.matterId = null;

        this.matterName = "";

        this.matterCode = "";

        this.materialId = null;

        this.materialName = "";

        this.deviceCode = "";

        this.deviceName = "";

        this.printPage = 0;

        this.type = 1;

        this.docPath = "";

        this.formContent = null;
    }
}