package com.mortals.xhx.module.pubdatum.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.pubdatum.model.vo.PubdatumVo;
/**
 * 事项材料公共库实体对象
 *
 * @author zxfei
 * @date 2023-01-06
 */

public class PubdatumEntity extends PubdatumVo {
    private static final long serialVersionUID = 1L;

    /**
     * 事项matter id
     */
    private Long matterId;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门编号
     */
    private String deptCode;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 材料名
     */
    private String materialName;
    /**
     * 材料全名
     */
    private String materiaFullName;
    /**
     * 填单次数
     */
    private Integer total;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 填单的附件名称
     */
    private String fileName;
    /**
     * 填单的附件下载地址
     */
    private String fileUrl;
    /**
     * 预览地址
     */
    private String filePreViewUrl;
    /**
     * 样表名称
     */
    private String sampleName;
    /**
     * 样表地址
     */
    private String samplePath;
    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 模板地址
     */
    private String templatePath;
    /**
     * 样表预览地址
     */
    private String preViewPath;
    /**
     * 表单内容
     */
    private String formContent;



    public PubdatumEntity(){}
    /**
     * 获取 事项matter id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项matter id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 部门ID
     * @return Long
     */
    public Long getDeptId(){
        return deptId;
    }
    /**
     * 设置 部门ID
     * @param deptId
     */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
     * 获取 部门编号
     * @return String
     */
    public String getDeptCode(){
        return deptCode;
    }
    /**
     * 设置 部门编号
     * @param deptCode
     */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
     * 获取 部门名称
     * @return String
     */
    public String getDeptName(){
        return deptName;
    }
    /**
     * 设置 部门名称
     * @param deptName
     */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
     * 获取 材料名
     * @return String
     */
    public String getMaterialName(){
        return materialName;
    }
    /**
     * 设置 材料名
     * @param materialName
     */
    public void setMaterialName(String materialName){
        this.materialName = materialName;
    }
    /**
     * 获取 材料全名
     * @return String
     */
    public String getMateriaFullName(){
        return materiaFullName;
    }
    /**
     * 设置 材料全名
     * @param materiaFullName
     */
    public void setMateriaFullName(String materiaFullName){
        this.materiaFullName = materiaFullName;
    }
    /**
     * 获取 填单次数
     * @return Integer
     */
    public Integer getTotal(){
        return total;
    }
    /**
     * 设置 填单次数
     * @param total
     */
    public void setTotal(Integer total){
        this.total = total;
    }
    /**
     * 获取 排序
     * @return Integer
     */
    public Integer getSort(){
        return sort;
    }
    /**
     * 设置 排序
     * @param sort
     */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
     * 获取 填单的附件名称
     * @return String
     */
    public String getFileName(){
        return fileName;
    }
    /**
     * 设置 填单的附件名称
     * @param fileName
     */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }
    /**
     * 获取 填单的附件下载地址
     * @return String
     */
    public String getFileUrl(){
        return fileUrl;
    }
    /**
     * 设置 填单的附件下载地址
     * @param fileUrl
     */
    public void setFileUrl(String fileUrl){
        this.fileUrl = fileUrl;
    }
    /**
     * 获取 预览地址
     * @return String
     */
    public String getFilePreViewUrl(){
        return filePreViewUrl;
    }
    /**
     * 设置 预览地址
     * @param filePreViewUrl
     */
    public void setFilePreViewUrl(String filePreViewUrl){
        this.filePreViewUrl = filePreViewUrl;
    }
    /**
     * 获取 样表名称
     * @return String
     */
    public String getSampleName(){
        return sampleName;
    }
    /**
     * 设置 样表名称
     * @param sampleName
     */
    public void setSampleName(String sampleName){
        this.sampleName = sampleName;
    }
    /**
     * 获取 样表地址
     * @return String
     */
    public String getSamplePath(){
        return samplePath;
    }
    /**
     * 设置 样表地址
     * @param samplePath
     */
    public void setSamplePath(String samplePath){
        this.samplePath = samplePath;
    }
    /**
     * 获取 模板名称
     * @return String
     */
    public String getTemplateName(){
        return templateName;
    }
    /**
     * 设置 模板名称
     * @param templateName
     */
    public void setTemplateName(String templateName){
        this.templateName = templateName;
    }
    /**
     * 获取 模板地址
     * @return String
     */
    public String getTemplatePath(){
        return templatePath;
    }
    /**
     * 设置 模板地址
     * @param templatePath
     */
    public void setTemplatePath(String templatePath){
        this.templatePath = templatePath;
    }
    /**
     * 获取 样表预览地址
     * @return String
     */
    public String getPreViewPath(){
        return preViewPath;
    }
    /**
     * 设置 样表预览地址
     * @param preViewPath
     */
    public void setPreViewPath(String preViewPath){
        this.preViewPath = preViewPath;
    }
    /**
     * 获取 表单内容
     * @return String
     */
    public String getFormContent(){
        return formContent;
    }
    /**
     * 设置 表单内容
     * @param formContent
     */
    public void setFormContent(String formContent){
        this.formContent = formContent;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PubdatumEntity) {
            PubdatumEntity tmp = (PubdatumEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",materialName:").append(getMaterialName());
        sb.append(",materiaFullName:").append(getMateriaFullName());
        sb.append(",total:").append(getTotal());
        sb.append(",sort:").append(getSort());
        sb.append(",fileName:").append(getFileName());
        sb.append(",fileUrl:").append(getFileUrl());
        sb.append(",filePreViewUrl:").append(getFilePreViewUrl());
        sb.append(",sampleName:").append(getSampleName());
        sb.append(",samplePath:").append(getSamplePath());
        sb.append(",templateName:").append(getTemplateName());
        sb.append(",templatePath:").append(getTemplatePath());
        sb.append(",preViewPath:").append(getPreViewPath());
        sb.append(",formContent:").append(getFormContent());
        return sb.toString();
    }

    public void initAttrValue(){

        this.matterId = null;

        this.deptId = null;

        this.deptCode = null;

        this.deptName = null;

        this.materialName = null;

        this.materiaFullName = null;

        this.total = null;

        this.sort = null;

        this.fileName = null;

        this.fileUrl = null;

        this.filePreViewUrl = null;

        this.sampleName = null;

        this.samplePath = null;

        this.templateName = null;

        this.templatePath = null;

        this.preViewPath = null;

        this.formContent = null;
    }
}